<?php
/**
 * This is a class file used for Employee operations.
 *
 * PHP version 5
 *
 * @category Admin_Tool
 * @package  Admin_Tool
 * @author   Aum Infosys <admin@auminfosys.com>
 * @license  Aum Infosys
 * @version  CVS:1.0.1
 * @link     http://auminfosys.com/
 * @filesource
 */

/**
 * This is a class named EmployeeMgmt.
 *
 * @category Employee Management System
 * @package  Employee Management System
 * @author   Aum Infosys <admin@auminfosys.com>
 * @license  Aum Infosys
 * @version  Release: 1.0.1
 * @link     http://auminfosys.com/
 *
 */

class SupporProductMgmt
{	
	/**
     * @var public $company_id This is the company id.
     */
	public $company_id;
    /**
     * @var public $support_id This is the Employee Id feteched from the database(product_master).
     */
    public $support_id;
	

	public $product_id;

	/**
     * @var public $support_type This is the Product Description.
     */
	public $support_type;
	
    function SupporProductMgmt()
    {
        $this->bullet = "<font size='2'>&raquo;</font>";
        $this->bullet = htmlentities($this->bullet);
        $this->employee_count=0;
    }

    function getCountRecords($limit=0,$start=0,$condition="",$order_field="",$order_type="")
    {
		$this->employee_count=0;
		
       	$qry = "SELECT COUNT(*) AS Count
				FROM  lms_supportproduct WHERE 1=1 ";
		
		if ($condition != "" ) {
            $qry.= $condition;
        }
		
        $out=dbQuery($qry);

        if (dbRows($out)>0) {
			$row=dbArray($out);
            extract($row);		
            $this->employee_count=$Count;            
			dbFreeResult($out);	
        }
		return $this->employee_count;
    }
	
	/**
     * This is a function for getting the all records with/without condition
     *
     * @param integer $limit This is the limit of number or records.
     * @param integer $start This is the starting location of records.
     * @param string  $condition This is the condition for fetching records.	 
     * @param string  $order_field This is the field for fetching records orderby.	 
     * @param string  $order_type This is the order direction to fetch records orderby.	 	 
     *
     * @return Mix Result Set
     */
    function getAllRecords($limit=0,$start=0,$condition="",$order_field="",$order_type="")
    {

		$this->product_count=0;
				
		$qry = "SELECT * FROM  lms_supportproduct WHERE 1=1 ";
		
		if ($condition != "" ) {
            $qry.= $condition;
        }
		
		if ($order_field !="" && $order_type !="") {
            $qry.= " order by $order_field $order_type";
        }

        if (intval($limit) > 0 && intval($start) >=0) {
            $qry.= " Limit $start , $limit";
        }
        $out=dbQuery($qry);

        if (dbRows($out)>0) {
            $this->product_count=dbRows($out);
			return $out;							
        }
		return $out;		
    }
		
    /**
     * This is a function for adding new record for Product.
     *
     * @return void The redirect file name and the message are passed.
     *
     */
    function add()
    {
		global $SQLDateFormat;
		
		$Qry1 = "";
			$Qry1.="company_id='".$_SESSION['cCompany_id']."',";
			$Qry1 .= "support_id='"	  .Escape($this->support_id)."',";
			$Qry1 .= "product_id='"	  .Escape($this->product_id)."',";	
			$Qry1 .= "support_type='"  .Escape($this->support_type)."',";	
			
					
		if ($Qry1 != "") {
			$Qry1 = substr($Qry1, 0, strlen($Qry1)-1);
			 $qry = "insert into  lms_supportproduct set " . $Qry1 . " ";
					
			dbQuery($qry);
		}
	}

    /**
     * This is a function for editing a Product record.
     *
     * @return void The redirect file name and the message are passed.
     *
     */
    function edit()
    {
			global $SQLDateFormat;
			$Qry1 = "";
			$Qry1.="company_id='".$_SESSION['cCompany_id']."' ";
			$Qry1 .= "support_id='"	  .Escape($this->support_id)."',";
			$Qry1 .= "product_id='"	  .Escape($this->product_id)."',";	
			$Qry1 .= "support_type='"  .Escape($this->support_type)."',";	
				
            if ($Qry1 != "") {
                $Qry1 = substr($Qry1, 0, strlen($Qry1)-1);
           		$qry = "update  lms_supportproduct set " . $Qry1 . " where support_id=".$this->support_id;
                dbQuery($qry);
            }
	}
	 function delete()
    {		
			 $qry = "delete from   lms_supportproduct 
             	where support_id in (".$this->support_id.") ";
        dbQuery($qry);
   	}
}
?>